export function customClassPrototype() {
    egret.EventDispatcher.prototype.onTap = function (target: any, callback: () => void) {
        this.addEventListener(egret.TouchEvent.TOUCH_TAP, callback, target);
    }

    egret.DisplayObject.prototype.destroy = function () {
        if (this.parent) {
            this.parent.removeChild(this);
        }
    }
}